# Class StiltsControl

java.lang.Object
uk.ac.starlink.topcat.plot2.TabberControl
uk.ac.starlink.topcat.plot2.StiltsControl

All Implemented Interfaces:
  `Control`

public class StiltsControl extends TabberControl
Fixed Control implementation that can display a STILTS command to reproduce the currently visible plot.

Since:
  19 Sep 2017
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final uk.ac.starlink.ttools.plot2.task.Suffixer[]`
`LAYER_SUFFIXERS`
List of suffixers suitable for per-layer parameters.
`static final uk.ac.starlink.ttools.plot2.task.Suffixer[]`
`ZONE_SUFFIXERS`
List of suffixers suitable for per-zone parameters.

## Constructor Summary

Constructors
Constructor
Description
`StiltsControl(PlotPanel<?,?> plotPanel, boolean isMultiZone, ToggleButtonModel windowToggle)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`JComponent`
`getPanel()`
Returns the GUI component that is the business end of this control.

### Methods inherited from class TabberControl

`addActionListener, addControlTab, addZoneTab, getActionForwarder, getControlIcon, getControlLabel, getTabber, removeActionListener`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ZONE_SUFFIXERS

public static final uk.ac.starlink.ttools.plot2.task.Suffixer[] ZONE_SUFFIXERS
List of suffixers suitable for per-zone parameters.

### LAYER_SUFFIXERS

public static final uk.ac.starlink.ttools.plot2.task.Suffixer[] LAYER_SUFFIXERS
List of suffixers suitable for per-layer parameters.

## Constructor Details

### StiltsControl

public StiltsControl(PlotPanel<?,?> plotPanel, boolean isMultiZone, ToggleButtonModel windowToggle)
Constructor.

Parameters:
  `plotPanel` - plot panel
  `isMultiZone` - true if the possibility of multiple zones should be accounted for in the command
  `windowToggle` - model for posting a separate window displaying the command text

## Method Details

### getPanel

public JComponent getPanel()
Description copied from interface: `Control`
Returns the GUI component that is the business end of this control. It will typically contain components for user interaction.

Specified by:
  `getPanel` in interface `Control`
Overrides:
  `getPanel` in class `TabberControl`
Returns:
  this controls graphical component